#ifndef __TICK_MINICOM_UTIL_H__
#define __TICK_MINICOM_UTIL_H__

#include <termios.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>

/// Be aware 'x' cannot be a expression or this function cause unpredicable result.
#define ARRAY_SIZE(x) (sizeof(x) / sizeof((x)[0]))

struct bdrt {
    int bps;
    u_int32_t b;
};

static struct bdrt bdrts[] = {
        { 0, B0 },
        { 9600, B9600 },
        { 19200, B19200 },
        { 38400, B38400 },
        { 57600, B57600 },
        { 115200, B115200 },
        { 230400, B230400 },
        { 460800, B460800 },
        { 921600, B921600 },
};

int getche(int fd);

int open_device(char *device,int speed);

int set_baud(int fd,int rate);

#endif

